<?php
  function cenzor($tekst, $arr)
  {
    return str_replace($arr, "[ocenzurowano]", $tekst);
  }
  $tab = array("tekst1", "tekst2", "tekst3");

  echo cenzor("tekst1 lub tekst2 albo tekst3", $tab);
?>
